Get department metrics data.
Retrieves department data metrics from the metrics database. Use in reporting and analysis tools.
Authentication
AuthorizationBearer
Bearer authentication
Path parameters
departmentId
The id of the department.
Query parameters
metricType
Specify which data to request.
start
Start date of time range to fetch data in ISO 8601 timestamp format.
end
End date of time range to fetch data in ISO 8601 timestamp format.
numberOfSamples
The number of samples to take in the specified time range.
nodepoolName
Filter using the nodepool.
groupBy
Field to group the metrics data by. Currently only supported for WORKLOADS_COUNT metric type.
Allowed values:
Response
Executed successfully.
measurements
Errors
400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error
503
Service Unavailable Error